> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pricenow.ch/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apipricingexternalpricesskidata

> Get prices for Skidata integration



## OpenAPI

````yaml https://pratiq-docs.s3.eu-west-1.amazonaws.com/open-api/production/public/2025-02-18.json post /api/pricing/external/prices/skidata
openapi: 3.0.0
info:
  title: Pricenow API
  version: '2025-02-18'
servers:
  - url: https://api.pricenow.dev
    description: Production Endpoint
security: []
tags: []
paths:
  /api/pricing/external/prices/skidata:
    post:
      tags:
        - pricing
      description: Get prices for Skidata integration
      parameters:
        - name: accept-language
          in: header
          description: Language of the response
          required: false
          schema:
            type: string
            enum:
              - en
              - de
              - fr
              - it
        - name: pratiq-channel-uuid
          in: header
          description: UUID of the sales channel
          required: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                valid_from:
                  type: string
                  format: date-time
                dta_product_id:
                  type: number
                dta_consumer_category:
                  type: number
                order_date:
                  type: string
                  format: date-time
                valid_to:
                  type: string
                  format: date-time
                quantity:
                  type: number
                currency_code:
                  type: string
                depot_flag:
                  oneOf:
                    - type: object
                      properties: {}
                    - type: boolean
                    - type: boolean
                system_product_id:
                  type: string
                system_consumer_category:
                  type: string
                is_online_pos:
                  oneOf:
                    - type: object
                      properties: {}
                    - type: boolean
                    - type: boolean
              required:
                - valid_from
                - dta_product_id
                - dta_consumer_category
                - order_date
                - valid_to
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2025_02_18_SkidataPrice'
components:
  schemas:
    V2025_02_18_SkidataPrice:
      type: object
      properties:
        calculated_price_cents:
          type: number
        unit_price_cents:
          type: number
        currency_code:
          type: string
      required:
        - calculated_price_cents
        - unit_price_cents
        - currency_code

````